Skip to navigation

List TMSs

Get a list of TMSs integrated with Catena Telematics.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

slugstring or nullOptional
source_nameenum or nullOptional

Enum for TMS (Transportation Management System) providers.

Kept separate from TspEnum: TMS providers are not TSPs, and conflating them would corrupt registry/validation paths that assume TspEnum membership.

Allowed values:

Response

Successful Response
namestring
source_nameenum
TMS enum identifier for API references
Allowed values:
conn_typeenum
The type of connection used to authenticate with the TMS
idstringformat: "uuid"
Unique Catena TMS identifier
slugstring

URL-friendly TMS identifier

created_atdatetime
When the TMS was added to Catena
updated_atdatetime
Last modification timestamp
is_sandboxbooleanOptionalDefaults to false
Indicates whether the TMS is a sandbox integration for testing purposes.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error